# VALHEIM ADVANCE RPG Modpack
- By: Taeguk Gaming

A server made with a purpose. Offers challenging game difficulty and a good story to unfold.

# Features
- A class based, quests driven progression setup. Maximized KG's Marketplace Revamped features to create an RPG feel in the game.
- Disabled building by default and unlockable only via zone/territory system.
- Overhauled all weapons and armors through WackysDatabase mod. Disabled all weapons and armor crafting and options only to upgrade with fixed requirements for each equipment piece.
- Customized armor sets exclusively for each MO classes.
- Utilizes EpicMMOSystem and ItemRequiresSkillLevel mods on character equipment progression.
- Biomes are set to be equal making each bosses similar, abandoning the original concept of biome progression of the game.
- Modified Epicloot crafting and enchantments and set all weapons and armors to drop from exclusive custom monsters and at the same time, obtainable from all random chests on the map both default and epic loot treasure hunt.

# For Non VARPG Server Users
- Playable but loses weapon and armor customization plus the RPG set up.
- Magic Overhaul classes are set to have no requirements on class change.
- Monster levels on EpicMMO is at default settings.
- IMPORTANT: Delete the Customize Altar config under BepInEx/config folder.

### Epicloot changes
- Enchantment requires only Runestones
- Removed reagents, dusts, and essence from drops and enchantment requirements.
- Item sacrifice gives ores, tokens, and shards only.
- All treasure chests and regular map chests gives chance to get enchanted items. Mad hatter headgears will only appear on treasure map chests.
- Bounty is at default settings.
- Modified gamble items and prices.
### Enchanted item drops only on the following creatures.
- Skeleton Workers
- Goblin Workers
- Berserker Ghost
- Assassin Ghost
- Archer Ghost
- Swordsman Ghost
- Soldier Ghost
- Skeleton Berserker
- Skeleton Assassin
- Skeleton Archer
- Skeleton Swordsman
- Skeleton Soldier
- Swordsman Goblin
- Soldier Goblin
- Archer Goblin
- Mage Goblin
- Warlock Goblin
- Shaman Goblin
- Druid Goblin
- Rogue Assassin (NPC mini-boss)
- Rogue Warrior (NPC mini-boss)
- Rogue Mage (NPC mini-boss)

For more info on how to modify EpicLoot json files, please refer to the mod page, https://www.nexusmods.com/valheim/mods/387.
To use the default epic loot settings, you may delete all Epicloot folder under "TaegukGaming-ValheimAdvanceRPGOfficial" folder and download Epicloot mod separately.

### Custom items prefab names required to spawn custom monsters.
These items will also spawn mini-boss and boss creatures during raid/event. You may craft to turn off and on the spawn effect of each of these items. Use them as event prices or quest rewards.
- ForestLicense
- SwampLicense
- MountainLicense
- PlainsLicense
- ForestBelt
- SwampBelt
- MountainBelt
- PlainsBelt
- BraveBelt

If not preferred, you may delete lines like "ConditionNearbyPlayerCarriesItem=SwampLicense" on spawn_that.world_spawners cfg files under VATG/spawner folder.

# Server Provider
- Setting up the mods on a dedicated server varies to every provider. I personally use GTX Gaming and it's doing great so far. Click the link below to use me as a referal.
- GTX Gaming Referral link: https://www.gtxgaming.co.uk/clientarea/aff.php?aff=2480

### Builders
- Codie, Namii, and Artyfacts
You guys are so cool, this won't be possible without your big support, skills, and talent!

### Admins
- Eurodisco, Asura
For being supportive and all the chismis!

### Beta Testers (IGN)
- Jero, Stein, Sky, Milktea, Tohka, Matziee, Kimpoyz, Xyn, Numa Numa Yei, Sigbin, Humm, Kero, Blackrising, Lalisa, Mordred, Meiki Squad, and King

### Special Mention
- Zeall - Our partner in crime!

# Mod Author Credits:
- Gravebear - For helping me out set up the ModPack and guiding me of the 'proper' way.
- OdinPlus Team - 911 of mods. Most mods are from them.
- Horem - Do or Die mods
- Huntardys - Epic Valheim Additions, Customize Altars
- Azumatt - Anticheat, Admintool, XrayVision
- ASharpPen - SpawnThat, DropThat, and Custom Raids
- Smoothbrain - CLLC, Server Characters, Vitality, DualWield, Groups mod and Profession mods.
- KG - Marketplace (NPCs, Territory Feature), MO classes, KeyDoor
- GoldenJude - Judes Equipment and Blacksmiths Tools
- WackyMole - Wacky Database
- LambaSun - EpicMMOSystem
- Detalhes - ItemRequiresSkillLevel
- AeehyehssReeper - Chaos Armor
- Cjayride - Crafting Filter
- Maximods - Multicraft mod
- Neurodr0me - RRRCore, RRRNPC and RRRMonsters
- MonsterLabz - DefendYourBase
- Thedefside - JTV Biomes
- hbocao - EnhancedPotions
- MathiasDecrock - Planbuild mod
- HugotheDwarf - Hugo's armory and Cloth collider mods
- Fantu - Sages Vault
- RockerKitten - BoneAppetit
- Frenvius - Valharvest
- RagnarokHCRP - MountUp
- Xenofell - TorchesEternal

# Links
- Website: https://bit.ly/taegukgaming
- Trailer Video: https://www.youtube.com/watch?v=dZdgzvlzE5E
- Discord Channel: https://discord.gg/ZUEBzqSaVr
- Support Taeguk Gaming: https://bit.ly/Support-TG

# Change Log
### v1.5.0
#### Road to Version 2 - Phase 1
- Removed Dual Wield mod due to epicloot incompatibility. This feature will come back on version 2.x.x.
- Relocated all badge spawned creatures. All custom creatures mainly the biome master quest targets will now spawn only when near specific locations during at night (e.g. Woodhouse, Stone towers, cave entrance, etc).
- Crypts, Sunkencrypts, and mountain caves will spawn mostly worker skeletons while worker goblins will be in fulling camps and some plains locations. These workers will drop each biome metal ore at 100%. Dungeon creatures respawn every 1 ingame day.
- Increased HP bonus of endurance stat and added 100 base hp.
- Increased Skeleton, Ghost, and Goblin warriors HP.
- Fixed final boss hp and attack stats.

### v1.4.6
- More Game Version 0.211.7 compatibility dependency updates
- Removed Quick Connect mod

### v1.4.5
- Compatible with Game Version 0.211.7
- Updated dependencies

### v1.4.3 - v1.4.4
- Updated Mod Dependencies (Only Azumatt's AntiCheat)
- Removed DoD Biomes (deprecated)
- Remove Zone Deed value (thanks to Jero's report)
- Removed Monk Ghost and Skeleton weapons that may have been causing the bugs on mountain caves and mountain biomes.

### v1.4.2
- Updated Mod Dependencies
- Change Broken Farkas into Mysterious Wolf. It will only spawn on a moutain biome at a certain distance from the center and during snow storm. This time, farkas shadows are protecting her. It's intended to be the hardest part of the main quest.

### v1.4.1
- Updated Mod dependencies
- Changed Brave Belt skill add to blocking and added sneak and noise modifier buff.

### v1.4.0
- Added KG's Door Key mod. (see #mod-guide on discord for details)

### v1.3.11
- Dependencies updates (OdinPlusQol, KGMarketplace)

### v1.3.10
- Fixed disconnection / game closing issues. (Marketplace Update)
- Cleaned up RRR NPC and Monster json files (no more red logs). Credits to DefendYourBase (MonstersLabz)

### v1.3.9
- Updated dependencies including Monsterlabz Znet log errors fix.

### v1.3.8
- Overlooked stamina drain effect on badge + belt set and now fixed.

### v1.3.7
- Turned on biome badges skill ups are now set to individual passive skills (Run, Swim, Ride, Jump)
- Turned on biome badges are now equipable as shoulder armor and will activate it's power when equipped with it's corresponding biome belt (set effect).
- Biome belts minor buff adjustments.
- Skull Token will now drop from the first 5 biome mini bosses (Rambore, Bitterstump, Bhygsan, Farkas (Black), and SkirSunburst).
- Event altar will have fixed weekly boss to summon for a cost of 10 skull tokens. Players may summon anytime at the Seed Arena or Clash Island event altars. Weekly boss will be rolled every after Castle Raid event. (VARPG Server only)
- New monster by MonstlerLabz, Wraith Warrior (namely Wraith in game with a scythe). A bit more exp points compared to regular Wraiths.
- Disabled some MonsterLabz default spawns.

### v1.3.6
- PotionPLus update - fixed hellbroth of life healing effect.
- Increase Gold Minibosses drops
- Adjusted Gold Raid spawn.

### v1.3.5
- MOD Dependencies update
- Added Gold, Rogue Assassin, Rogue Warrior, and Rogue Mage raids. Gold raid triggers anytime anywhere from Meadows to Plains. Rogue raids triggers after killing at least 1 of its corresponding miniboss NPCs and will only start in Mistlands for Assassin, Deep North for Mage, and Ashlands for Warrior. Requires Belt of the Brave to spawn mini boss NPCs.

### v1.3.4
- Fix CLLC floating configuration.
- Adjusted some custom monster spawns on plains and mountain biomes.

### v1.3.3
- Mod critical updates.

### v1.3.2
- Added Sage Book as Shield to Mage Mercenaries to avoid dual wielding staff.
- Increased crystal drop of Deep North Ice Golem (DoD/rock version).
- Runestone drops from monster miniboss and bosses will now vary on the number of players hit. Each Runestone tier has separate drop chances making Magic Runestone to drop 100% for minibosses and Rare Runestone for bosses. (This does not include NPC minibosses)
- Frigga, Nightname Dragon, and Ice Golem (MonsterLabz/huge version) will now drop runestones similar to vanilla biomes mini bosses and will only spawn if you have any of the biome master belts.
- Set Rogue NPC minibosses to always drop up to 4 enchanted gears.
- Introducing Battlepass reward system by KG's Marketplace Revamp mod. First season "The Way of Ninja". (VARPG Server only)
- Arrows weight set to 0.

### v1.3.1
- All Ghost, Skeleton and Goblin Warriors are no longer tamable.
- Added Death Cape to no drop item list upon death.

### v1.3.0
- Added CustomizeAltar mod by Huntardys for event purposes.
- Added new Mage Mercenary. Randomly summons tamed Fire, Ice, or Lightning Mage specialist. Visit the Tower of Wisdom to hire. Requires Book of Wisdom in inventory and finished Polearm mastery quest. (VARPG server only)
- Adjusted mercenary HP according to class wherein warrior has the highest and mage has the lowest.
- Added 10% more running speed to mercenaries.
- Set profession cool down to 7 days and block usage on Farming, Ranching, Blacksmithing, Alchemy, and Cooking. (Forgot to set on previous modpack updates).
- Set minimum raid intervals to 10 minutes real-time.
- Updated mods.

### v1.2.10
- Added 1 row to player inventory.
- Fixed Haldor bounty cooldown bug.

### v1.2.9
- Removed custom creatures on bounty list and reduced star level cap of these creatures from 10 to 5.
- Set MO Boss Runes to drop based on number of characters who hit the boss creature.
- Added Deep Sea Serpent Scale as drops from Deep Sea Serpents. Cost double the price of regular Serpent Scales when sold to the Misc Collector. (VARPG server only)
- Added Kraken raid event in the ocean biome. Requires all vanilla bosses killed to trigger the raid event and at least 5 players online. The Kraken will spawn only when at least one player carries any turned on biome belt. Without the belt, the raid will spawn only Dark Drakes, Darkness Drakes and Serpent minions. The Kraken will drop up to 20 Serpent meat, Serpent Scales, and Deep Sea Serpent Scales each and can can still be increase based on the usual double drop chance per star. It will also have a chance to drop Runestones similar to biome bosses.
- Turned on Biome Badges will now have +10 to all vanilla skills when equipped. It will also add 50% more health and stamina regeneration rate.
- Changed Bifröst's apozem HardAntler ingredient to Boar Tusk.
- Changed Tyr's decantation Moder Trophy ingredient to Drake Trophy.

### v1.2.8
- Reduced Miniboss raid frequency from 46 minutes to 20 minutes with at 25% chance from 20%. Makes Bosses truly harder to hunt than minibosses.
- Add custom creatures on bounty hunt list with more token and coin rewards.
- Set all bounty levels max star levels to 10.
- Added all DoD class specific weapons, DoD shields, DoD bows and Xbow on Haldor's gamble list.
- Gamble Island is now open! (VARPG server only)
- Reduced Ghost guides spawn rate.
- Fixed Chaos armor and Jude's Armor def and durability stats making Wackydb data similar to mod specific YML.
- Removed QuickStore mod on dependencies and utilizes OdinPlusQOL autostore instead. The new quickstore key is PERIOD.
- Added T2 Mage Staffs upgrade requirements.
- Fix DoD Obsidian Golem level and EpicMMO experience.

### v1.2.7
- Quickstore change: Set allowed items to auto store to materials, misc, and consumables to avoid storing weapons and gears. This can be modified locally.
- Buffed tamed creatures health and damage including ghosts of warlocks. To make them in par with mercenaries.
- Fixed mounts on Forest wolves, Dire Wolves, and Vilefangs
- Made carnivore bait teleportable (VARPG server only)
- New item added "Zone Deed" to be given to zone buyers. This item will be the only requirement to build portals. 1 Zone Deed will be given to first purchase and 2 on the proceeding ones. (VARPG server only)
- Set Farming, Alchemy, Blacksmithing, Ranching, and Cooking to block usage of profession actions if not chosen as profession.
- Added Black Deers in the Mistlands
- Added Carnivore bait and direwolf pelt drops on Werewolves and Wendigos in Mistlands, DeepNorth, and Ashlands.
- Added Linen Thread drop to all elemental drakes in Mistlands, DeepNorth, and Ashlands and spiders in all biomes.
- Adjusted Obsidian Golem spawns on Tar pits (expected to have more Growth)
- Adjusted Shocking Arrow, Frosty Arrow, and Firery Arrow damage according to tier. (VARPG server only)
- Changed Great Weapon Kit Hardwood ingredient to Fine Wood to match its biome source. (VARPG server only)
- Vanilla boats are expected to be indestructible.

### v1.2.5
- Epicloot: Game change has been modified (Forest Token - 65% Rare | 25% Epic | 10% Legendary / Iron Token - 70% Epic | 30% Legendary)
- Epicloot: Normal map chests has now similar changes of getting enchanted gear tiers with Haldor's Treasure map chests.
- OdinShip: Removed Workbench requirements on Odin Ships
- CLLC Update: Dungeon monsters now have similar damage output with their off-dungeon versions.
- Teleport Everything: Can bring all tamed pets and mercenaries now through portals after commanding them to follow you.
- TGQuestItems: Updated visuals and are now not clones of other mods and game original assets.

### v1.2.4
- Updated Mods
- Updated some quest items visuals.
- Miniboss will now drop boss key items at 50% chance (HardAntler, Cryptkey, etc...). Bosses will still drop them at 100%.
- Goblin and Skeleton workers will now drop metal ores depending on which biome they are in.

### v1.2.2
- Fixed no damage issue on Forest Expert Badge when equipped.
- Added our brand new TG Coin back.

### v1.2.1
- Updated Mods
- Introducing TG Quest Items upgraded biome badges and belts! Turned ON badges can now be equipped in the utility slot for skill buffs. Biomes belts has more partial and full buffs when turned off and on respectively while wearing. Everything has still the same effect of spawning harder monsters and biome bosses when worn. This is our very own mod and expect more updates on all quest items in the server.
- Tamable monsters will now feed every 5 mins, reproduce, and heal 200 hp every food intake.
- Fixed farming quick planting error.
- Added 1 row on player inventory.

### v1.1.5
- Fixed arrow equipping issues.
- Vanilla boats and carts will show again on the map (OdinPlusQOL update).

### v1.1.4
- Updated Mods
- Remove CityGuard NPC
- Added Mercenary Swordsman and Archer NPCs for hiring as mercenary allies. This NPCs will spawn tamed and consumes most Vanilla cooked food.
- Removed Portal Crystal requirements.
- Experimental fix on shared EXP with group mod (Thanks to LambaSun effort)
- Remove modded map pins. Boats and carts will not show anymore on the map.

### v1.1.1
- Fixed raid triggers.
- Add experience on DeepSea Serpent
- Added Runestones drops on Bosses and Minibosses
- Added shards on sacrifice recipies.
- Changed Master Badges to Master Belts (with +%run buff)
- Added 3 rows on player inventory and reduced all items weight to 50%.
- Made vanilla boats indestructible.
- Added 3 New NPC Minibosses to hunt (Rogue Warrior, Rogue Assassin, Rogue Mage). Drops all Tier 2 Class gears.
- Added boss runes drops from Vanilla bosses except Eikthyr. Required to craft specialized class weapons and headgear.
- Remove backpacks and network mods.

### v1.0.4
- Added Smoothbrain Network mod
- Fixed Mistlands, DeepNorth, and Ashlands spawn. Mistakenly set them to spawn on higher grounds.

### v1.0.3
- Updated Mods

### v1.0.2
- Fixed DK Quest Wraith spawn. Adjusted monster hp and damages according to tier.

### v1.0.1
- Fixed spawn issues. Should spawn wolves and drakes now.

### v1.0.0
- Initial Release